## osmo-mgw 0.1.0.20170821

=== debian/changelog ===
osmo-mgw (0.1.0.20170821) UNRELEASED; urgency=medium

  * Snapshot build

 -- Alexander Couzens <lynxis@fe80.eu>  Mon, 21 Aug 2017 04:45:16 +0200

osmo-mgw (0.1.0) unstable; urgency=low

  * Initial release.

 -- Alexander Couzens <lynxis@fe80.eu>  Tue, 08 Aug 2017 01:12:53 +0000
