=== debian/control ===
Source: osmo-mgw
Section: net
Priority: extra
Maintainer: Alexander Couzens <lynxis@fe80.eu>
Build-Depends: debhelper (>=9),
               dh-autoreconf,
               pkg-config,
               autotools-dev,
               libosmocore-dev,
               libosmo-netif-dev
Standards-Version: 3.9.8
Vcs-Git: git://git.osmocom.org/osmo-iuh.git
Vcs-Browser: https://git.osmocom.org/osmo-iuh/
Homepage: https://projects.osmocom.org/projects/osmohnbgw

Package: osmo-mgw
Architecture: any
Multi-Arch: foreign
Depends: libosmo-legacy-mgcp0, ${misc:Depends}, ${shlibs:Depends}
Description: OsmoMGW: Osmocom's Media Gateway for 2G and 3G circuit-switched mobile networks

Package: osmo-mgw-dbg
Section: debug
Architecture: any
Multi-Arch: same
Depends: osmo-mgw (= ${binary:Version}), ${misc:Depends}
Description: OsmoMGW: Osmocom's Media Gateway for 2G and 3G circuit-switched mobile networks

Package: libosmo-legacy-mgcp0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: OsmoMGW: Osmocom's Media Gateway for 2G and 3G circuit-switched mobile networks

Package: libosmo-legacy-mgcp-dbg
Section: debug
Architecture: any
Multi-Arch: same
Depends: libosmo-legacy-mgcp0 (= ${binary:Version}), ${misc:Depends}
Description: OsmoMGW: Osmocom's Media Gateway for 2G and 3G circuit-switched mobile networks

Package: libosmo-legacy-mgcp-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libosmo-legacy-mgcp0 (= ${binary:Version}), ${misc:Depends}
Description: OsmoMGW: Osmocom's Media Gateway for 2G and 3G circuit-switched mobile networks
