## osmo-mgw 0.1.0.20170826

=== debian/changelog ===
osmo-mgw (0.1.0.20170826) UNRELEASED; urgency=medium

  * Snapshot build

 -- Alexander Couzens <lynxis@fe80.eu>  Sat, 26 Aug 2017 04:45:28 +0200
