## osmo-mgw 1.2.0

=== debian/changelog ===
osmo-mgw (1.2.0-3) unstable; urgency=medium

  * debian/control: set Conflicts: (Closes: #884416)
    Though osmo-bsc-mgcp and osmocom-bsc provide binaries with the
    same name, /usr/bin/osmo-bsc_mgcp, their functionality is different
    and a Replaces: would not be correct.

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 27 Apr 2018 18:53:14 +0200

osmo-mgw (1.2.0-2) unstable; urgency=medium

  * move to unstable
  * debian/control: move to debian-mobcom maintainer
  * debian/control: add salsa URLs
  * debian/control: use dh11
  * debian/control: bump standard to 4.1.4 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 17 Apr 2018 18:47:14 +0200

osmo-mgw (1.2.0-1) experimental; urgency=medium

  * New upstream release

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 12 Dec 2017 19:46:56 +0100
