=== debian/control ===
Source: osmo-mgw
Section: net
Priority: optional
Maintainer: Debian Mobcom Maintainers <Debian-mobcom-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper (>=11)
             , pkg-config
             , libosmocore-dev (>= 0.10.2)
             , libosmo-netif-dev (>= 0.1.1)
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/debian-mobcom-team/osmo-mgw
Vcs-Git: https://salsa.debian.org/debian-mobcom-team/osmo-mgw.git
Homepage: https://osmocom.org/projects/osmo-mgw

Package: osmo-mgw
Architecture: any
Multi-Arch: foreign
Depends: libosmo-mgcp1, ${misc:Depends}, ${shlibs:Depends}
Description: Osmocom's Media Gateway for 2G and 3G circuit-switched mobile networks
 OsmoMGW, the Osmocom Media Gateway, is a Media Gateway for handling user
 plane (voice) traffic in cellular networks.
 .
 OsmoMGW supports the IETF MGCP (Media Gateway Control Protocol) for
 control from Call Agents, such as those present in OsmoBSC and OsmoMSC.
 .
 At the moment (October 2017), OsmoMGW only implements RTP proxy / RTP
 bridge type endpoints, to each of which two RTP connections can be
 established.
 .
 OsmoMGW is the generalized version of an earlier much more special-purpose
 implementation called osmo-bsc_mgcp.

Package: libosmo-mgcp1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Osmocom's Media Gateway server library
 OsmoMGW, the Osmocom Media Gateway, is a Media Gateway for handling user
 plane (voice) traffic in cellular networks.
 .
 OsmoMGW is the generalized version of an earlier much more special-purpose
 implementation called osmo-bsc_mgcp.
 .
 This package contains the server library.

Package: libosmo-mgcp-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libosmo-mgcp1 (= ${binary:Version}), ${misc:Depends}
Description: Osmocom's Media Gateway server library - development files
 OsmoMGW, the Osmocom Media Gateway, is a Media Gateway for handling user
 plane (voice) traffic in cellular networks.
 .
 OsmoMGW is the generalized version of an earlier much more special-purpose
 implementation called osmo-bsc_mgcp.
 .
 This package contains the server library - development files.

Package: libosmo-mgcp-client2
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Osmocom's Media Gateway Control Protocol client utilities
 OsmoMGW, the Osmocom Media Gateway, is a Media Gateway for handling user
 plane (voice) traffic in cellular networks.
 .
 OsmoMGW is the generalized version of an earlier much more special-purpose
 implementation called osmo-bsc_mgcp.
 .
 This package contains the client utilities.

Package: libosmo-mgcp-client-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libosmo-mgcp-client2 (= ${binary:Version}), ${misc:Depends}
Description: Osmocom's Media Gateway Control Protocol client utilities - development files
 OsmoMGW, the Osmocom Media Gateway, is a Media Gateway for handling user
 plane (voice) traffic in cellular networks.
 .
 OsmoMGW is the generalized version of an earlier much more special-purpose
 implementation called osmo-bsc_mgcp.
 .
 This package contains the client utilities - development files.

Package: osmo-bsc-mgcp
Architecture: any
Multi-Arch: foreign
Conflicts: osmocom-bsc
Depends: libosmo-legacy-mgcp0, ${misc:Depends}, ${shlibs:Depends}
Description: Osmocom's Legacy Media Gateway
 OsmoMGW, the Osmocom Media Gateway, is a Media Gateway for handling user
 plane (voice) traffic in cellular networks.
 .
 OsmoMGW is the generalized version of an earlier much more special-purpose
 implementation called osmo-bsc_mgcp.
 .
 This package contains deprecated software, please use osmo-mgw instead.

Package: libosmo-legacy-mgcp0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Osmocom's Legacy Media Gateway server library
 OsmoMGW, the Osmocom Media Gateway, is a Media Gateway for handling user
 plane (voice) traffic in cellular networks.
 .
 OsmoMGW is the generalized version of an earlier much more special-purpose
 implementation called osmo-bsc_mgcp.
 .
 This package contains deprecated software, please use libosmo-mgcp instead.

Package: libosmo-legacy-mgcp-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libosmo-legacy-mgcp0 (= ${binary:Version}), ${misc:Depends}
Description: Osmocom's Legacy Media Gateway server library - development files
 OsmoMGW, the Osmocom Media Gateway, is a Media Gateway for handling user
 plane (voice) traffic in cellular networks.
 .
 OsmoMGW is the generalized version of an earlier much more special-purpose
 implementation called osmo-bsc_mgcp.
 .
 This package contains deprecated software, please use the development
 files of osmo-mgcp instead.
