=== debian/rules ===
#!/usr/bin/make -f
# You must remove unused comment lines for the released package.
# See debhelper(7) (uncomment to enable)
# This is an autogenerated template for debian/rules.
#
# Output every command that modifies files on the build system.
#export DH_VERBOSE = 1

#DEBIAN  := $(shell dpkg-parsechangelog | grep '^Version:' | cut -d' ' -f2)
#DEBVERS := $(shell echo '$(DEBIAN)' | cut -d- -f1)
#VERSION := $(shell echo '$(DEBVERS)' | sed -e 's/[+-].*//' -e 's/~//g')

CFLAGS += -g

# main packaging script based on dh7 syntax
%:
	dh $@ --with autoreconf

# debmake generated override targets
# Set options for ./configure
#CONFIGURE_FLAGS = <options for ./configure>
#overrride_dh_configure:
#	dh_configure -- $(CONFIGURE_FLAGS)
#
# Do not install libtool archive, python .pyc .pyo
#override_dh_install:
#	dh_install --list-missing -X.la -X.pyc -X.pyo

override_dh_auto_test:
	dh_auto_test || (find . -name testsuite.log -exec cat {} \; ; false)

#override_dh_autoreconf:
#	echo $(VERSION) > .tarball-version
#	dh_autoreconf

# See https://www.debian.org/doc/manuals/developers-reference/best-pkging-practices.html#bpp-dbg
