## osmo-mgw 1.4.0

=== debian/changelog ===
osmo-mgw (1.4.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Refresh patches
  * debian/control:
    - libosmocore-dev >= 0.12
    - libosmo-netif-dev >= 0.3.0
  * d/libosmo-legacy-mgcp0.symbols and d/libosmo-mgcp-client3.symbols
    - Added a few new symbols

 -- Ruben Undheim <ruben.undheim@gmail.com>  Tue, 13 Nov 2018 08:12:06 +0100

osmo-mgw (1.3.0-4) unstable; urgency=low

  * Team upload
  * Upload to unstable

 -- Ruben Undheim <ruben.undheim@gmail.com>  Mon, 05 Nov 2018 22:10:55 +0100

osmo-mgw (1.3.0-3) experimental; urgency=medium

  * Team upload
  * debian/control:
    - New standards version 4.2.1 - no changes
    - Drop invalid dependency on libosmo-mgcp1
  * debian/osmo-bsc-mgcp.cfg:
    - Install default configuration file for osmo-bsc-mgcp
  * Do not enable systemd service for osmo-bsc-mgcp by default
  * Install systemd service for osmo-mgw but do not enable by default
  * debian/osmo-mgw.cfg:
    - Install default configuration file for osmo-mgw
  * debian/patches:
    - Drop unneeded patches
    - Refresh remaining patch with "gbp pq"
  * debian/rules:
    - Clean up unneeded comments
    - Generate .tarball-version in override_dh_autoreconf and delete it again
      in override-dh_clean.
    - Do not enable systemd services by default
    - Enable hardening
  * debian/tests:
    - Added simple autopkgtest

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 23 Sep 2018 15:13:11 +0200

osmo-mgw (1.3.0-2) experimental; urgency=medium

  * add version.patch

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 18 Jul 2018 19:34:20 +0200

osmo-mgw (1.3.0-1) experimental; urgency=medium

  * New upstream release
  * debian/control: adjust minimal version of dependencies

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 21 Jun 2018 19:34:20 +0200
