=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Uploaders: Thorsten Alteholz <debian@alteholz.de>
 Build-Depends: debhelper (>=11)
              , pkg-config
-             , libosmocore-dev (>= 0.10.2)
-             , libosmo-netif-dev (>= 0.1.1)
-Standards-Version: 4.1.4
+             , libosmocore-dev (>= 0.12.)
+             , libosmo-netif-dev (>= 0.3.0)
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/debian-mobcom-team/osmo-mgw
 Vcs-Git: https://salsa.debian.org/debian-mobcom-team/osmo-mgw.git
 Homepage: https://osmocom.org/projects/osmo-mgw
@@ -15,7 +15,7 @@
 Package: osmo-mgw
 Architecture: any
 Multi-Arch: foreign
-Depends: libosmo-mgcp1, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Osmocom's Media Gateway for 2G and 3G circuit-switched mobile networks
  OsmoMGW, the Osmocom Media Gateway, is a Media Gateway for handling user
  plane (voice) traffic in cellular networks.
@@ -30,36 +30,7 @@
  OsmoMGW is the generalized version of an earlier much more special-purpose
  implementation called osmo-bsc_mgcp.
 
-Package: libosmo-mgcp1
-Section: libs
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: Osmocom's Media Gateway server library
- OsmoMGW, the Osmocom Media Gateway, is a Media Gateway for handling user
- plane (voice) traffic in cellular networks.
- .
- OsmoMGW is the generalized version of an earlier much more special-purpose
- implementation called osmo-bsc_mgcp.
- .
- This package contains the server library.
-
-Package: libosmo-mgcp-dev
-Section: libdevel
-Architecture: any
-Multi-Arch: same
-Depends: libosmo-mgcp1 (= ${binary:Version}), ${misc:Depends}
-Description: Osmocom's Media Gateway server library - development files
- OsmoMGW, the Osmocom Media Gateway, is a Media Gateway for handling user
- plane (voice) traffic in cellular networks.
- .
- OsmoMGW is the generalized version of an earlier much more special-purpose
- implementation called osmo-bsc_mgcp.
- .
- This package contains the server library - development files.
-
-Package: libosmo-mgcp-client2
+Package: libosmo-mgcp-client3
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -78,7 +49,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libosmo-mgcp-client2 (= ${binary:Version}), ${misc:Depends}
+Depends: libosmo-mgcp-client3 (= ${binary:Version}), ${misc:Depends}
 Description: Osmocom's Media Gateway Control Protocol client utilities - development files
  OsmoMGW, the Osmocom Media Gateway, is a Media Gateway for handling user
  plane (voice) traffic in cellular networks.
