=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

CHANGELOG_DATE ?= $(shell LC_ALL=C date -u -d @$(SOURCE_DATE_EPOCH) +"%d %B %Y")

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CFLAGS += -g

%:
	dh $@ --with autoreconf

override_dh_auto_test:
	dh_auto_test || (find . -name testsuite.log -exec cat {} \; ; false)

override_dh_clean:
	dh_clean
	$(RM) .tarball-version .version tests/package.m4 tests/testsuite

override_dh_autoreconf:
	echo $(DEB_VERSION_UPSTREAM) > .tarball-version
	dh_autoreconf

override_dh_installsystemd:
	dh_installsystemd --no-enable --no-start
