=== debian/control ===
Source: osmo-mgw
Section: net
Priority: extra
Maintainer: Alexander Couzens <lynxis@fe80.eu>
Build-Depends: debhelper (>=9),
               dh-autoreconf,
               pkg-config,
               autotools-dev,
               libosmocore-dev,
               libosmo-netif-dev,
               osmo-gsm-manuals-dev
Standards-Version: 3.9.8
Vcs-Git: git://git.osmocom.org/osmo-mgw.git
Vcs-Browser: https://git.osmocom.org/osmo-mgw/
Homepage: https://osmocom.org/projects/osmo-mgw

Package: osmo-mgw
Architecture: any
Multi-Arch: foreign
Depends: osmocom-nightly, ${misc:Depends}, ${shlibs:Depends}
Description: OsmoMGW: Osmocom's Media Gateway for 2G and 3G circuit-switched mobile networks

Package: libosmo-mgcp-client6
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: osmocom-nightly, ${misc:Depends}, ${shlibs:Depends}
Description: libosmo-mgcp-client: Osmocom's Media Gateway Control Protocol client utilities

Package: libosmo-mgcp-client-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: osmocom-nightly, libosmo-mgcp-client6 (= ${binary:Version}), ${misc:Depends}
Description: libosmo-mgcp-client: Osmocom's Media Gateway Control Protocol client utilities

Package: osmo-mgw-doc
Architecture: all
Section: doc
Priority: optional
Depends: osmocom-nightly, ${misc:Depends}
Description: ${misc:Package} PDF documentation
 Various manuals: user manual, VTY reference manual and/or
 protocol/interface manuals.
