## osmo-mgw 1.7.0+dfsg1

=== debian/changelog ===
osmo-mgw (1.7.0+dfsg1-2build2) jammy; urgency=medium

  * Rebuild against new libosmocore16.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 21 Mar 2022 02:57:13 +0100

osmo-mgw (1.7.0+dfsg1-2build1) jammy; urgency=medium

  * No-change rebuild against libosmocore18

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 21 Mar 2022 00:07:09 +0000

osmo-mgw (1.7.0+dfsg1-2) unstable; urgency=medium

  * upload to unstable
  * mark test as superficial (Closes: #971489)

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 10 Dec 2020 18:34:15 +0100

osmo-mgw (1.7.0+dfsg1-1) experimental; urgency=medium

  * New upstream release
  * debian/control: bump standard to 4.5.0 (no changes)
  * debian/control: use dh12
  * debian/control: depend on libosmocore >=1.4.0
  * debian/control: depend on libosmo-netif >=1.0.0
  * debian/control: remove legacy packages
  * debian/control: take care of soname change
  * add Build-Depends-Package: to symbols files

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 16 Aug 2020 23:34:15 +0000
