=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
                dh-autoreconf,
                pkg-config,
                autotools-dev,
-               libosmocore-dev (>= 1.5.0),
+               libosmocore-dev (>= 1.6.0),
                libosmo-netif-dev (>= 1.1.0),
-               libosmo-abis-dev (>= 1.1.0),
-               osmo-gsm-manuals-dev (>= 1.1.0)
+               libosmo-abis-dev (>= 1.2.0),
+               osmo-gsm-manuals-dev (>= 1.2.0)
 Standards-Version: 3.9.8
 Vcs-Git: git://git.osmocom.org/osmo-mgw.git
 Vcs-Browser: https://git.osmocom.org/osmo-mgw/
@@ -21,7 +21,7 @@
 Depends: osmocom-latest, ${misc:Depends}, ${shlibs:Depends}
 Description: OsmoMGW: Osmocom's Media Gateway for 2G and 3G circuit-switched mobile networks
 
-Package: libosmo-mgcp-client8
+Package: libosmo-mgcp-client9
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -33,7 +33,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: osmocom-latest, libosmo-mgcp-client8 (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-latest, libosmo-mgcp-client9 (= ${binary:Version}), ${misc:Depends}
 Description: libosmo-mgcp-client: Osmocom's Media Gateway Control Protocol client utilities
 
 Package: osmo-mgw-doc
