## osmo-mgw 1.9.0+dfsg1

=== debian/changelog ===
osmo-mgw (1.9.0+dfsg1-3ubuntu1) kinetic; urgency=medium

  * Fix build error due to dh_missing if systemd happens to be in the build
    environment (LP: #1971620)

 -- Dan Bungert <daniel.bungert@canonical.com>  Wed, 04 May 2022 13:34:49 -0600

osmo-mgw (1.9.0+dfsg1-3) unstable; urgency=medium

  * upload to unstable

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 16 Mar 2022 21:59:47 +0100

osmo-mgw (1.9.0+dfsg1-2) experimental; urgency=medium

  * use wildcard in debian/not-installed

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 11 Mar 2022 21:59:47 +0000

osmo-mgw (1.9.0+dfsg1-1) experimental; urgency=medium

  * New upstream release
  * debian/control: bump standard to 4.6.0 (no changes)
  * debian/control: use at least libosmocore 1.5.0
  * debian/control: use dh13

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 09 Mar 2022 03:59:47 +0000
