=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,10 @@
 %:
 	dh $@ --with autoreconf
 
+override_dh_auto_configure:
+	# Use the packaging-provided systemd unit file
+	dh_auto_configure -- --with-systemdsystemunitdir=no
+
 override_dh_auto_test:
 	dh_auto_test || (find . -name testsuite.log -exec cat {} \; ; false)
