## osmo-mgw 1.9.1

=== debian/changelog ===
osmo-mgw (1.9.1) unstable; urgency=medium

  [ Vadim Yanitskiy ]
  * libosmo-mgcp: e1: fix memleaks in e1_recv_cb()

 -- Harald Welte <laforge@osmocom.org>  Mon, 18 Apr 2022 10:58:50 +0200
